ArtifactsClient¶
- class oci.artifacts.ArtifactsClient(config, **kwargs)¶
Use the Artifacts and Container Images API to manage container images and non-container generic artifacts.
For container images such as Docker images, use the [ContainerImage](#/en/registry/latest/ContainerImage/) resource. Save the images in a [container repository](#/en/registry/latest/ContainerRepository).
For non-container generic artifacts or blobs, use the [GenericArtifact](#/en/registry/latest/GenericArtifact/) resource. Save the artifacts in an [artifact repository](#/en/registry/latest/Repository).
To upload and download non-container generic artifacts, instead of the Artifacts and Container Images API, use the Generic Artifacts Content API.
For more information, see the user guides for [Container Registry](/iaas/Content/Registry/home.htm) and [Artifact Registry](/iaas/Content/artifacts/home.htm).
Methods:
__init__(config, **kwargs)Creates a new service client
Moves a container repository into a different compartment within the same tenancy.
change_repository_compartment(repository_id, ...)Moves a repository into a different compartment within the same tenancy.
Upload a signature to an image.
Create a new empty container repository.
create_repository(create_repository_details, ...)Creates a new repository for storing artifacts.
delete_container_image(image_id, **kwargs)Delete a container image.
Delete a container image signature.
delete_container_repository(repository_id, ...)Delete container repository.
delete_generic_artifact(artifact_id, **kwargs)Deletes an artifact with a specified `OCID`__.
Deletes an artifact with a specified artifactPath and version.
delete_repository(repository_id, **kwargs)Deletes the specified repository.
get_container_configuration(compartment_id, ...)Get container configuration.
get_container_image(image_id, **kwargs)Get container image metadata.
Get container image signature metadata.
get_container_repository(repository_id, **kwargs)Get container repository.
get_generic_artifact(artifact_id, **kwargs)Gets information about an artifact with a specified `OCID`__.
get_generic_artifact_by_path(repository_id, ...)Gets information about an artifact with a specified artifactPath and version.
get_repository(repository_id, **kwargs)Gets the specified repository's information.
List container image signatures in an image.
list_container_images(compartment_id, **kwargs)List container images in a compartment.
list_container_repositories(compartment_id, ...)List container repositories in a compartment.
list_generic_artifacts(compartment_id, ...)Lists artifacts in the specified repository.
list_repositories(compartment_id, **kwargs)Lists repositories in the specified compartment.
Get container image metadata by URI.
remove_container_version(image_id, ...)Remove version from container image.
restore_container_image(image_id, ...)Restore a container image.
Update container configuration.
update_container_image(image_id, ...)Modify the properties of a container image.
Modify the properties of a container image signature.
update_container_repository(repository_id, ...)Modify the properties of a container repository.
update_generic_artifact(artifact_id, ...)Updates the artifact with the specified `OCID`__.
Updates an artifact with a specified artifactPath and version.
update_repository(repository_id, ...)Updates the properties of a repository.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- change_container_repository_compartment(repository_id, change_container_repository_compartment_details, **kwargs)¶
Moves a container repository into a different compartment within the same tenancy. For information about moving resources between compartments, see `Moving Resources to a Different Compartment`__.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the container repository.
Example: ocid1.containerrepo.oc1..exampleuniqueID
change_container_repository_compartment_details (oci.artifacts.models.ChangeContainerRepositoryCompartmentDetails) – (required) Change container repository compartment details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_container_repository_compartment API.
- change_repository_compartment(repository_id, change_repository_compartment_details, **kwargs)¶
Moves a repository into a different compartment within the same tenancy. For information about moving resources between compartments, see `Moving Resources to a Different Compartment`__.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
change_repository_compartment_details (oci.artifacts.models.ChangeRepositoryCompartmentDetails) – (required) Moves a repository into a different compartment.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_repository_compartment API.
- create_container_image_signature(create_container_image_signature_details, **kwargs)¶
Upload a signature to an image.
- Parameters
create_container_image_signature_details (oci.artifacts.models.CreateContainerImageSignatureDetails) – (required) Upload container image signature details
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImageSignature- Return type
- Example
Click here to see an example of how to use create_container_image_signature API.
- create_container_repository(create_container_repository_details, **kwargs)¶
Create a new empty container repository. Avoid entering confidential information.
- Parameters
create_container_repository_details (oci.artifacts.models.CreateContainerRepositoryDetails) – (required) Create container repository details.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerRepository- Return type
- Example
Click here to see an example of how to use create_container_repository API.
- create_repository(create_repository_details, **kwargs)¶
Creates a new repository for storing artifacts.
- Parameters
create_repository_details (oci.artifacts.models.CreateRepositoryDetails) – (required) Creates a new repository for storing artifacts.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation will not retry by default, users can also use the convenientDEFAULT_RETRY_STRATEGYprovided by the SDK to enable retries for it. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRepository- Return type
- Example
Click here to see an example of how to use create_repository API.
- delete_container_image(image_id, **kwargs)¶
Delete a container image.
- Parameters
image_id (str) –
(required) The `OCID`__ of the container image.
Example: ocid1.containerimage.oc1..exampleuniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_container_image API.
- delete_container_image_signature(image_signature_id, **kwargs)¶
Delete a container image signature.
- Parameters
image_signature_id (str) –
(required) The `OCID`__ of the container image signature.
Example: ocid1.containersignature.oc1..exampleuniqueID
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_container_image_signature API.
- delete_container_repository(repository_id, **kwargs)¶
Delete container repository.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the container repository.
Example: ocid1.containerrepo.oc1..exampleuniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_container_repository API.
- delete_generic_artifact(artifact_id, **kwargs)¶
Deletes an artifact with a specified `OCID`__.
- Parameters
artifact_id (str) –
(required) The `OCID`__ of the artifact.
Example: ocid1.genericartifact.oc1..exampleuniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_generic_artifact API.
- delete_generic_artifact_by_path(repository_id, artifact_path, version, **kwargs)¶
Deletes an artifact with a specified artifactPath and version.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
artifact_path (str) –
(required) A user-defined path to describe the location of an artifact. You can use slashes to organize the repository, but slashes do not create a directory structure. An artifact path does not include an artifact version.
Example: project01/my-web-app/artifact-abc
version (str) –
(required) A user-defined string to describe the artifact version.
Example: 1.1.2 or 1.2-beta-2
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_generic_artifact_by_path API.
- delete_repository(repository_id, **kwargs)¶
Deletes the specified repository. This operation fails unless all associated artifacts are in a DELETED state. You must delete all associated artifacts before deleting a repository.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_repository API.
- get_container_configuration(compartment_id, **kwargs)¶
Get container configuration.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerConfiguration- Return type
- Example
Click here to see an example of how to use get_container_configuration API.
- get_container_image(image_id, **kwargs)¶
Get container image metadata.
- Parameters
image_id (str) –
(required) The `OCID`__ of the container image.
Example: ocid1.containerimage.oc1..exampleuniqueID
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImage- Return type
- Example
Click here to see an example of how to use get_container_image API.
- get_container_image_signature(image_signature_id, **kwargs)¶
Get container image signature metadata.
- Parameters
image_signature_id (str) –
(required) The `OCID`__ of the container image signature.
Example: ocid1.containersignature.oc1..exampleuniqueID
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImageSignature- Return type
- Example
Click here to see an example of how to use get_container_image_signature API.
- get_container_repository(repository_id, **kwargs)¶
Get container repository.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the container repository.
Example: ocid1.containerrepo.oc1..exampleuniqueID
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerRepository- Return type
- Example
Click here to see an example of how to use get_container_repository API.
- get_generic_artifact(artifact_id, **kwargs)¶
Gets information about an artifact with a specified `OCID`__.
- Parameters
artifact_id (str) –
(required) The `OCID`__ of the artifact.
Example: ocid1.genericartifact.oc1..exampleuniqueID
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeGenericArtifact- Return type
- Example
Click here to see an example of how to use get_generic_artifact API.
- get_generic_artifact_by_path(repository_id, artifact_path, version, **kwargs)¶
Gets information about an artifact with a specified artifactPath and version.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
artifact_path (str) –
(required) A user-defined path to describe the location of an artifact. You can use slashes to organize the repository, but slashes do not create a directory structure. An artifact path does not include an artifact version.
Example: project01/my-web-app/artifact-abc
version (str) –
(required) A user-defined string to describe the artifact version.
Example: 1.1.2 or 1.2-beta-2
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeGenericArtifact- Return type
- Example
Click here to see an example of how to use get_generic_artifact_by_path API.
- get_repository(repository_id, **kwargs)¶
Gets the specified repository’s information.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRepository- Return type
- Example
Click here to see an example of how to use get_repository API.
- list_container_image_signatures(compartment_id, **kwargs)¶
List container image signatures in an image.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
compartment_id_in_subtree (bool) – (optional) When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are inspected depending on the the setting of accessLevel. Default is false. Can only be set to true when calling the API on the tenancy (root compartment).
image_id (str) – (optional) A filter to return a container image summary only for the specified container image OCID.
repository_id (str) – (optional) A filter to return container images only for the specified container repository OCID.
repository_name (str) –
(optional) A filter to return container images or container image signatures that match the repository name.
Example: foo or foo*
image_digest (str) –
(optional) The digest of the container image.
Example: sha256:e7d38b3517548a1c71e41bffe9c8ae6d6d29546ce46bf62159837aad072c90aa
display_name (str) – (optional) A filter to return only resources that match the given display name exactly.
kms_key_id (str) –
(optional) The `OCID`__ of the kmsKeyVersionId used to sign the container image.
Example: ocid1.keyversion.oc1..exampleuniqueID
kms_key_version_id (str) –
(optional) The `OCID`__ of the kmsKeyVersionId used to sign the container image.
Example: ocid1.keyversion.oc1..exampleuniqueID
signing_algorithm (str) –
(optional) The algorithm to be used for signing. These are the only supported signing algorithms for container images.
Allowed values are: “SHA_224_RSA_PKCS_PSS”, “SHA_256_RSA_PKCS_PSS”, “SHA_384_RSA_PKCS_PSS”, “SHA_512_RSA_PKCS_PSS”
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see `List Pagination`__.
Example: 50
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see `List Pagination`__.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
sort_by (str) –
(optional) The field to sort by. You can provide one sort order (sortOrder). Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. The DISPLAYNAME sort order is case sensitive.
Note: In general, some “List” operations (for example, ListInstances) let you optionally filter by availability domain if the scope of the resource type is within a single availability domain. If you call one of these “List” operations without specifying an availability domain, the resources are grouped by availability domain, then sorted.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC). The DISPLAYNAME sort order is case sensitive.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImageSignatureCollection- Return type
- Example
Click here to see an example of how to use list_container_image_signatures API.
- list_container_images(compartment_id, **kwargs)¶
List container images in a compartment.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
compartment_id_in_subtree (bool) – (optional) When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are inspected depending on the the setting of accessLevel. Default is false. Can only be set to true when calling the API on the tenancy (root compartment).
display_name (str) – (optional) A filter to return only resources that match the given display name exactly.
image_id (str) – (optional) A filter to return a container image summary only for the specified container image OCID.
is_versioned (bool) – (optional) A filter to return container images based on whether there are any associated versions.
repository_id (str) – (optional) A filter to return container images only for the specified container repository OCID.
repository_name (str) –
(optional) A filter to return container images or container image signatures that match the repository name.
Example: foo or foo*
version (str) –
(optional) A filter to return container images that match the version.
Example: foo or foo*
lifecycle_state (str) – (optional) A filter to return only resources that match the given lifecycle state name exactly.
image_digest (str) –
(optional) The digest of the container image.
Example: sha256:e7d38b3517548a1c71e41bffe9c8ae6d6d29546ce46bf62159837aad072c90aa
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see `List Pagination`__.
Example: 50
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see `List Pagination`__.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
sort_by (str) –
(optional) The field to sort by. You can provide one sort order (sortOrder). Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. The DISPLAYNAME sort order is case sensitive.
Note: In general, some “List” operations (for example, ListInstances) let you optionally filter by availability domain if the scope of the resource type is within a single availability domain. If you call one of these “List” operations without specifying an availability domain, the resources are grouped by availability domain, then sorted.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC). The DISPLAYNAME sort order is case sensitive.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImageCollection- Return type
- Example
Click here to see an example of how to use list_container_images API.
- list_container_repositories(compartment_id, **kwargs)¶
List container repositories in a compartment.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
compartment_id_in_subtree (bool) – (optional) When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are inspected depending on the the setting of accessLevel. Default is false. Can only be set to true when calling the API on the tenancy (root compartment).
repository_id (str) – (optional) A filter to return container images only for the specified container repository OCID.
display_name (str) – (optional) A filter to return only resources that match the given display name exactly.
repository_type (str) – (optional) A filter to return only resources that match the given repository type exactly.
is_top_level (bool) – (optional) A filter to return resources that match the isTopLevel value.
is_public (bool) – (optional) A filter to return resources that match the isPublic value.
lifecycle_state (str) – (optional) A filter to return only resources that match the given lifecycle state name exactly.
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see `List Pagination`__.
Example: 50
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see `List Pagination`__.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
sort_by (str) –
(optional) The field to sort by. You can provide one sort order (sortOrder). Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. The DISPLAYNAME sort order is case sensitive.
Note: In general, some “List” operations (for example, ListInstances) let you optionally filter by availability domain if the scope of the resource type is within a single availability domain. If you call one of these “List” operations without specifying an availability domain, the resources are grouped by availability domain, then sorted.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC). The DISPLAYNAME sort order is case sensitive.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerRepositoryCollection- Return type
- Example
Click here to see an example of how to use list_container_repositories API.
- list_generic_artifacts(compartment_id, repository_id, **kwargs)¶
Lists artifacts in the specified repository.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
repository_id (str) – (required) A filter to return the artifacts only for the specified repository OCID.
id (str) – (optional) A filter to return the resources for the specified OCID.
display_name (str) – (optional) A filter to return only resources that match the given display name exactly.
artifact_path (str) – (optional) Filter results by a prefix for the artifactPath and and return artifacts that begin with the specified prefix in their path.
version (str) – (optional) Filter results by a prefix for version and return artifacts that that begin with the specified prefix in their version.
sha256 (str) – (optional) Filter results by a specified SHA256 digest for the artifact.
lifecycle_state (str) – (optional) A filter to return only resources that match the given lifecycle state name exactly.
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see `List Pagination`__.
Example: 50
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see `List Pagination`__.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
sort_by (str) –
(optional) The field to sort by. You can provide one sort order (sortOrder). Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. The DISPLAYNAME sort order is case sensitive.
Note: In general, some “List” operations (for example, ListInstances) let you optionally filter by availability domain if the scope of the resource type is within a single availability domain. If you call one of these “List” operations without specifying an availability domain, the resources are grouped by availability domain, then sorted.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC). The DISPLAYNAME sort order is case sensitive.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeGenericArtifactCollection- Return type
- Example
Click here to see an example of how to use list_generic_artifacts API.
- list_repositories(compartment_id, **kwargs)¶
Lists repositories in the specified compartment.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
id (str) – (optional) A filter to return the resources for the specified OCID.
display_name (str) – (optional) A filter to return only resources that match the given display name exactly.
is_immutable (bool) – (optional) A filter to return resources that match the isImmutable value.
lifecycle_state (str) – (optional) A filter to return only resources that match the given lifecycle state name exactly.
limit (int) –
(optional) For list pagination. The maximum number of results per page, or items to return in a paginated “List” call. For important details about how pagination works, see `List Pagination`__.
Example: 50
page (str) –
(optional) For list pagination. The value of the opc-next-page response header from the previous “List” call. For important details about how pagination works, see `List Pagination`__.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
sort_by (str) –
(optional) The field to sort by. You can provide one sort order (sortOrder). Default order for TIMECREATED is descending. Default order for DISPLAYNAME is ascending. The DISPLAYNAME sort order is case sensitive.
Note: In general, some “List” operations (for example, ListInstances) let you optionally filter by availability domain if the scope of the resource type is within a single availability domain. If you call one of these “List” operations without specifying an availability domain, the resources are grouped by availability domain, then sorted.
Allowed values are: “TIMECREATED”, “DISPLAYNAME”
sort_order (str) –
(optional) The sort order to use, either ascending (ASC) or descending (DESC). The DISPLAYNAME sort order is case sensitive.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRepositoryCollection- Return type
- Example
Click here to see an example of how to use list_repositories API.
- lookup_container_image_by_uri(lookup_container_image_by_uri_details, **kwargs)¶
Get container image metadata by URI.
- Parameters
lookup_container_image_by_uri_details (oci.artifacts.models.LookupContainerImageByUriDetails) – (required) Get container image metadata by URI.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImage- Return type
- Example
Click here to see an example of how to use lookup_container_image_by_uri API.
- remove_container_version(image_id, remove_container_version_details, **kwargs)¶
Remove version from container image.
- Parameters
image_id (str) –
(required) The `OCID`__ of the container image.
Example: ocid1.containerimage.oc1..exampleuniqueID
remove_container_version_details (oci.artifacts.models.RemoveContainerVersionDetails) – (required) Remove version details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImage- Return type
- Example
Click here to see an example of how to use remove_container_version API.
- restore_container_image(image_id, restore_container_image_details, **kwargs)¶
Restore a container image.
- Parameters
image_id (str) –
(required) The `OCID`__ of the container image.
Example: ocid1.containerimage.oc1..exampleuniqueID
restore_container_image_details (oci.artifacts.models.RestoreContainerImageDetails) – (required) Restore container image details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations (for example, if a resource has been deleted and purged from the system, then a retry of the original creation request may be rejected).
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImage- Return type
- Example
Click here to see an example of how to use restore_container_image API.
- update_container_configuration(compartment_id, update_container_configuration_details, **kwargs)¶
Update container configuration.
- Parameters
compartment_id (str) –
(required) The `OCID`__ of the compartment.
update_container_configuration_details (oci.artifacts.models.UpdateContainerConfigurationDetails) – (required) Update container configuration details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerConfiguration- Return type
- Example
Click here to see an example of how to use update_container_configuration API.
- update_container_image(image_id, update_container_image_details, **kwargs)¶
Modify the properties of a container image. Avoid entering confidential information.
- Parameters
image_id (str) –
(required) The `OCID`__ of the container image.
Example: ocid1.containerimage.oc1..exampleuniqueID
update_container_image_details (oci.artifacts.models.UpdateContainerImageDetails) – (required) Update container image details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImage- Return type
- Example
Click here to see an example of how to use update_container_image API.
- update_container_image_signature(image_signature_id, update_container_image_signature_details, **kwargs)¶
Modify the properties of a container image signature. Avoid entering confidential information.
- Parameters
image_signature_id (str) –
(required) The `OCID`__ of the container image signature.
Example: ocid1.containersignature.oc1..exampleuniqueID
update_container_image_signature_details (oci.artifacts.models.UpdateContainerImageSignatureDetails) – (required) Update container image signature details.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerImageSignature- Return type
- Example
Click here to see an example of how to use update_container_image_signature API.
- update_container_repository(repository_id, update_container_repository_details, **kwargs)¶
Modify the properties of a container repository. Avoid entering confidential information.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the container repository.
Example: ocid1.containerrepo.oc1..exampleuniqueID
update_container_repository_details (oci.artifacts.models.UpdateContainerRepositoryDetails) – (required) Update container repository details.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeContainerRepository- Return type
- Example
Click here to see an example of how to use update_container_repository API.
- update_generic_artifact(artifact_id, update_generic_artifact_details, **kwargs)¶
Updates the artifact with the specified `OCID`__. You can only update the tags of an artifact.
- Parameters
artifact_id (str) –
(required) The `OCID`__ of the artifact.
Example: ocid1.genericartifact.oc1..exampleuniqueID
update_generic_artifact_details (oci.artifacts.models.UpdateGenericArtifactDetails) –
(required) Updates the artifact with the specified `OCID`__. You can only update the tags of an artifact.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeGenericArtifact- Return type
- Example
Click here to see an example of how to use update_generic_artifact API.
- update_generic_artifact_by_path(repository_id, artifact_path, version, update_generic_artifact_by_path_details, **kwargs)¶
Updates an artifact with a specified artifactPath and version. You can only update the tags of an artifact.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
artifact_path (str) –
(required) A user-defined path to describe the location of an artifact. You can use slashes to organize the repository, but slashes do not create a directory structure. An artifact path does not include an artifact version.
Example: project01/my-web-app/artifact-abc
version (str) –
(required) A user-defined string to describe the artifact version.
Example: 1.1.2 or 1.2-beta-2
update_generic_artifact_by_path_details (oci.artifacts.models.UpdateGenericArtifactByPathDetails) – (required) Updates an artifact with a specified artifactPath and version. You can only update the tags of an artifact.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeGenericArtifact- Return type
- Example
Click here to see an example of how to use update_generic_artifact_by_path API.
- update_repository(repository_id, update_repository_details, **kwargs)¶
Updates the properties of a repository. You can update the displayName and description properties.
- Parameters
repository_id (str) –
(required) The `OCID`__ of the repository.
Example: ocid1.artifactrepository.oc1..exampleuniqueID
update_repository_details (oci.artifacts.models.UpdateRepositoryDetails) – (required) Updates the properties of a repository.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) Unique identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeRepository- Return type
- Example
Click here to see an example of how to use update_repository API.